export interface JiraIssueJson {
    key: string;
    fields: {
        summary: string;
    };
}
export default class JiraIssue {
    private readonly data;
    private readonly domain;
    constructor(data: JiraIssueJson, domain: string);
    getIssueUrl(): string;
    getIssueKey(): string;
    getSummary(): string;
}
