"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Worklog {
    constructor(data) {
        this.data = data;
    }
    getTimeSpentSeconds() {
        return this.data.timeSpentSeconds;
    }
    getTimeSpentMinutes() {
        const timeInHours = (this.getTimeSpentSeconds() / 60);
        return Math.round(timeInHours * 100) / 100;
    }
    getTimeSpentHours() {
        const timeInHours = (this.getTimeSpentMinutes() / 60);
        return Math.round(timeInHours * 100) / 100;
    }
    getIssueKey() {
        return this.data.issue.key;
    }
    getDescription() {
        return this.data.description;
    }
    getDate() {
        return this.data.startDate;
    }
}
exports.default = Worklog;
//# sourceMappingURL=worklog.js.map