"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class JiraIssue {
    constructor(data, domain) {
        this.data = data;
        this.domain = domain;
    }
    getIssueUrl() {
        return `https://${this.domain}/browse/${this.getIssueKey()}`;
    }
    getIssueKey() {
        return this.data.key;
    }
    getSummary() {
        return this.data.fields.summary;
    }
}
exports.default = JiraIssue;
//# sourceMappingURL=jira-issue.js.map