import SummaryItem from "./entity/summary-item";
interface TempoDailyEmailOptions {
    tempoApiKey: string;
    jiraUsername: string;
    jiraApiKey: string;
    jiraDomain: string;
}
export default class TempoSummaryEmail {
    private readonly tempoApiKey;
    private readonly jiraUsername;
    private readonly jiraApiKey;
    private readonly jiraDomain;
    private user?;
    constructor(options: TempoDailyEmailOptions);
    generateEmailForRange(fromDate: string, toDate: string): Promise<string>;
    retrieveSummaryItems(from: string, to: string): Promise<SummaryItem[]>;
    private createTempoClient;
    private createJiraClient;
    private getUser;
}
export {};
